Package org.apache.sling.launchpad.testservices.scripting

# Class StringBindingsValuesProvider

java.lang.Object
org.apache.sling.launchpad.testservices.scripting.StringBindingsValuesProvider

All Implemented Interfaces:
  `org.apache.sling.scripting.api.BindingsValuesProvider`

public class StringBindingsValuesProvider extends Object implements org.apache.sling.scripting.api.BindingsValuesProvider
Example/test BindingsValuesProvider targeting all scripts

## Field Summary

### Fields inherited from interface org.apache.sling.scripting.api.BindingsValuesProvider

`CONTEXT, DEFAULT_CONTEXT`

## Constructor Summary

Constructors
Constructor
Description
`StringBindingsValuesProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBindings(Bindings bindings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringBindingsValuesProvider

public StringBindingsValuesProvider()

## Method Details

### addBindings

public void addBindings(Bindings bindings)

Specified by:
  `addBindings` in interface `org.apache.sling.scripting.api.BindingsValuesProvider`